For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • GETGet an Organization
      • GETGet Organization audit logs
      • GETList Organizations
      • POSTUpdate an Organization
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceOrganization

List Organizations

GET
https://api.astronomer.io/v1/organizations
GET
/v1/organizations
$curl https://api.astronomer.io/v1/organizations \
> -H "Authorization: Bearer <token>"
1{
2 "limit": 10,
3 "offset": 0,
4 "organizations": [
5 {
6 "allowEnhancedSupportAccess": true,
7 "createdAt": "2022-11-22T04:37:12Z",
8 "createdBy": {
9 "id": "clm8qv74h000008mlf08scq7k",
10 "apiTokenName": "my-token",
11 "avatarUrl": "https://avatar.url",
12 "fullName": "Jane Doe",
13 "subjectType": "USER",
14 "username": "user1@company.com"
15 },
16 "hasAllowedIpAddressRanges": false,
17 "id": "clmaxoarx000008l2c5ayb9pt",
18 "isScimEnabled": false,
19 "name": "My organization",
20 "productPlans": [
21 {
22 "astronomerProduct": "ASTRO",
23 "organizationId": "string",
24 "productPlanId": "string",
25 "productPlanName": "BUSINESS_CRITICAL"
26 }
27 ],
28 "shouldEnforceDedicatedClusters": true,
29 "updatedAt": "2022-11-22T04:37:12Z",
30 "updatedBy": {
31 "id": "clm8qv74h000008mlf08scq7k",
32 "apiTokenName": "my-token",
33 "avatarUrl": "https://avatar.url",
34 "fullName": "Jane Doe",
35 "subjectType": "USER",
36 "username": "user1@company.com"
37 },
38 "billingEmail": "billing@company.com",
39 "managedDomains": [
40 {
41 "createdAt": "2024-01-15T09:30:00Z",
42 "id": "cln203mz7000008jv0jyz9m3y",
43 "name": "mycompany.com",
44 "organizationId": "cln204xr2000008mu3hhe3zwe",
45 "status": "PENDING",
46 "updatedAt": "2024-01-15T09:30:00Z",
47 "enforcedLogins": [
48 "password"
49 ]
50 }
51 ],
52 "paymentMethod": "CREDIT_CARD",
53 "product": "HOSTED",
54 "status": "ACTIVE",
55 "trialExpiresAt": "2022-11-22T04:37:12Z"
56 }
57 ],
58 "totalCount": 100
59}

List the details about all Organizations that you have access to. Requires using a personal access token (PAT) for authentication.

Was this page helpful?
Previous

Update an Organization

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

productPlanenumOptional
Filters the Organization list by product plan.
Allowed values:
astronomerProductenumOptional
filter by astronomer product, should be one of ASTRO
Allowed values:
productenumOptional
Filters the Organization list by product.
Allowed values:
offsetintegerOptional>=0Defaults to 0
The number of results to skip before returning values.
limitintegerOptional0-1000Defaults to 20
The maximum number of results to return.
sortslist of enumsOptional

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Response

OK
limitinteger
The maximum number of Organizations in the page.
offsetinteger
The offset of the Organizations in the page.
organizationslist of objects
The list of Organizations in the page.
totalCountinteger
The total number of Organizations.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error